/*
 * Copyright 2000-2014 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.jetbrains.python.psi;

import com.jetbrains.python.ast.PyAstConditionalStatementPart;
import org.jetbrains.annotations.Nullable;

/**
 * A statement part that has a condition before it.
 */
public interface PyConditionalStatementPart extends PyAstConditionalStatementPart, PyStatementPart {
  /**
   * @return the condition expression.
   */
  @Override
  @Nullable
  default PyExpression getCondition() {
    return (PyExpression)PyAstConditionalStatementPart.super.getCondition();
  }
}
